## gpac 0.4.5+svn3462~dfsg0

=== Makefile ===
#
# Main gpac Makefile
#
include config.mak

vpath %.c $(SRC_PATH)

all:	version
	$(MAKE) -C src all
	$(MAKE) -C applications all
	$(MAKE) -C modules all

version:
	@if which svnversion >/dev/null; then echo "#define GPAC_SVN_REVISION	\"$(shell svnversion $(SRC_PATH) )\"" > $(SRC_PATH)/include/gpac/version.h ; else  echo "No SVN Version found"; fi

lib:	version
	$(MAKE) -C src all

apps:
	$(MAKE) -C applications all

sggen:
	$(MAKE) -C applications sggen

mods:
	$(MAKE) -C modules all

instmoz:
	$(MAKE) -C applications/osmozilla install

depend:
	$(MAKE) -C src dep
	$(MAKE) -C applications dep
	$(MAKE) -C modules dep

clean:
	$(MAKE) -C src clean
	$(MAKE) -C applications clean
	$(MAKE) -C modules clean

distclean:
	$(MAKE) -C src distclean
	$(MAKE) -C applications distclean
	$(MAKE) -C modules distclean
	rm -f config.mak config.h

dep:	depend

# tar release (use 'make -k tar' on a checkouted tree)
FILE=gpac-$(shell grep "\#define GPAC_VERSION " include/gpac/tools.h | \
                    cut -d "\"" -f 2 )

tar:
	( tar zcvf ~/$(FILE).tar.gz ../gpac --exclude CVS --exclude bin --exclude lib --exclude Obj --exclude temp --exclude amr_nb --exclude amr_nb_ft --exclude amr_wb_ft --exclude *.mak --exclude *.o --exclude *.~*)

install:
	$(INSTALL) -d "$(DESTDIR)$(prefix)"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/bin"
	$(INSTALL) $(INSTFLAGS) -m 755 bin/gcc/MP4Box "$(DESTDIR)$(prefix)/bin"
	$(INSTALL) $(INSTFLAGS) -m 755 bin/gcc/MP4Client "$(DESTDIR)$(prefix)/bin"
	$(INSTALL) -d "$(DESTDIR)$(moddir)"
	$(INSTALL) bin/gcc/*.$(DYN_LIB_SUFFIX) "$(DESTDIR)$(moddir)"
	rm -f $(DESTDIR)$(moddir)/libgpac.$(DYN_LIB_SUFFIX)
	rm -f $(DESTDIR)$(moddir)/nposmozilla.$(DYN_LIB_SUFFIX)
	$(MAKE) installdylib
	$(INSTALL) -d "$(DESTDIR)$(mandir)"
	$(INSTALL) -d "$(DESTDIR)$(mandir)/man1"
	if [ -d  doc ] ; then \
	$(INSTALL) $(INSTFLAGS) -m 644 doc/man/mp4box.1 $(DESTDIR)$(mandir)/man1/ ; \
	$(INSTALL) $(INSTFLAGS) -m 644 doc/man/mp4client.1 $(DESTDIR)$(mandir)/man1/ ; \
	$(INSTALL) $(INSTFLAGS) -m 644 doc/man/gpac.1 $(DESTDIR)$(mandir)/man1/ ; \
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac" ; \
	$(INSTALL) $(INSTFLAGS) -m 644 doc/gpac.mp4 $(DESTDIR)$(prefix)/share/gpac/ ;  \
	fi
	if [ -d  gui ] ; then \
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac/gui" ; \
	$(INSTALL) $(INSTFLAGS) -m 644 gui/gui.bt "$(DESTDIR)$(prefix)/share/gpac/gui/" ; \
	$(INSTALL) $(INSTFLAGS) -m 644 gui/gui.js "$(DESTDIR)$(prefix)/share/gpac/gui/" ; \
	$(INSTALL) $(INSTFLAGS) -m 644 gui/gwlib.js "$(DESTDIR)$(prefix)/share/gpac/gui/" ; \
	$(INSTALL) $(INSTFLAGS) -m 644 gui/mpegu-core.js "$(DESTDIR)$(prefix)/share/gpac/gui/" ; \
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac/gui/icons" ; \
	$(INSTALL) $(INSTFLAGS) -m 644 gui/icons/*.svg "$(DESTDIR)$(prefix)/share/gpac/gui/icons/" ; \
	cp -R gui/extensions "$(DESTDIR)$(prefix)/share/gpac/gui/" ; \
	rm -rf "$(DESTDIR)$(prefix)/share/gpac/gui/extensions/*.svn" ; \
	fi

uninstall:
	$(MAKE) -C applications uninstall
	rm -rf $(DESTDIR)$(moddir)
	rm -rf $(DESTDIR)$(prefix)/$(libdir)/libgpac*
	rm -rf $(DESTDIR)$(prefix)/bin/MP4Box
	rm -rf $(DESTDIR)$(prefix)/bin/MP4Client
	rm -rf $(DESTDIR)$(mandir)/man1/mp4box.1
	rm -rf $(DESTDIR)$(mandir)/man1/mp4client.1
	rm -rf $(DESTDIR)$(mandir)/man1/gpac.1
	rm -rf $(DESTDIR)$(prefix)/share/gpac

installdylib:
ifeq ($(CONFIG_WIN32),yes)
	$(INSTALL) $(INSTFLAGS) -m 755 bin/gcc/libgpac.dll $(prefix)/$(libdir)
else
ifeq ($(DEBUGBUILD),no)
	$(STRIP) bin/gcc/libgpac.$(DYN_LIB_SUFFIX)
endif
ifeq ($(CONFIG_DARWIN),yes)
	$(INSTALL) -m 755 bin/gcc/libgpac.$(DYN_LIB_SUFFIX) $(DESTDIR)$(prefix)/$(libdir)/libgpac.$(VERSION).$(DYN_LIB_SUFFIX)
	ln -sf libgpac.$(VERSION).$(DYN_LIB_SUFFIX) $(DESTDIR)$(prefix)/$(libdir)/libgpac.$(DYN_LIB_SUFFIX)
else
	$(INSTALL) $(INSTFLAGS) -m 755 bin/gcc/libgpac.$(DYN_LIB_SUFFIX) $(DESTDIR)$(prefix)/$(libdir)/libgpac.$(DYN_LIB_SUFFIX).$(VERSION)
	ln -sf libgpac.$(DYN_LIB_SUFFIX).$(VERSION) $(DESTDIR)$(prefix)/$(libdir)/libgpac.$(DYN_LIB_SUFFIX)
ifeq ($(DESTDIR)$(prefix),$(prefix))
	ldconfig || true
endif
endif
endif

install-lib:
	mkdir -p "$(DESTDIR)$(prefix)/include/gpac"
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/include/gpac/*.h "$(DESTDIR)$(prefix)/include/gpac"
	mkdir -p "$(DESTDIR)$(prefix)/include/gpac/internal"
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/include/gpac/internal/*.h "$(DESTDIR)$(prefix)/include/gpac/internal"
	mkdir -p "$(DESTDIR)$(prefix)/include/gpac/modules"
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/include/gpac/modules/*.h "$(DESTDIR)$(prefix)/include/gpac/modules"
	$(INSTALL) $(INSTFLAGS) -m 644 config.h "$(DESTDIR)$(prefix)/include/gpac/configuration.h"
ifeq ($(GPAC_ENST), yes)
	mkdir -p "$(DESTDIR)$(prefix)/include/gpac/enst"
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/include/gpac/enst/*.h "$(DESTDIR)$(prefix)/include/gpac/enst"
endif
	mkdir -p "$(DESTDIR)$(prefix)/$(libdir)"
	$(INSTALL) $(INSTFLAGS) -m 644 "./bin/gcc/libgpac_static.a" "$(DESTDIR)$(prefix)/$(libdir)"
	$(MAKE) installdylib

uninstall-lib:
	rm -rf "$(prefix)/include/gpac/internal"
	rm -rf "$(prefix)/include/gpac/modules"
	rm -rf "$(prefix)/include/gpac/enst"
	rm -rf "$(prefix)/include/gpac"

ifeq ($(CONFIG_DARWIN),yes)
dmg:
	rm "bin/gcc/MP4Client"
	$(MAKE) -C applications/mp4client
	./mkdmg.sh
endif

ifeq ($(CONFIG_LINUX),yes)
deb:
	fakeroot debian/rules clean
	sed -i "s/.DEV/.DEV-r`svnversion \"$(SRC_PATH)\"`/" debian/changelog
	fakeroot debian/rules configure
	fakeroot debian/rules binary
	svn cleanup
	svn revert debian/changelog
endif

help:
	@echo "Input to GPAC make:"
	@echo "depend/dep: builds dependencies (dev only)"
	@echo "all (void): builds main library, programs and plugins"
	@echo "lib: builds GPAC library only (libgpac.so)"
	@echo "apps: builds programs only"
	@echo "modules: builds modules only"
	@echo "instmoz: build and local install of osmozilla"
	@echo "sggen: builds scene graph generators"
	@echo 
	@echo "clean: clean src repository"
	@echo "distclean: clean src repository and host config file"
	@echo "tar: create GPAC tarball"
	@echo 
	@echo "install: install applications and modules on system"
	@echo "uninstall: uninstall applications and modules"
ifeq ($(CONFIG_DARWIN),yes)
	@echo "dmg: creates DMG package file for OSX"
endif
ifeq ($(CONFIG_LINUX),yes)
        @echo "dmg: creates DEB package file for debian based systems"
endif
	@echo 
	@echo "install-lib: install gpac library (dyn and static) and headers <gpac/*.h>, <gpac/modules/*.h> and <gpac/internal/*.h>"
	@echo "uninstall-lib: uninstall gpac library (dyn and static) and headers"
	@echo
	@echo "to build libgpac documentation, go to gpac/doc and type 'doxygen'"

ifneq ($(wildcard .depend),)
include .depend
endif

=== applications/Makefile ===
include ../config.mak

APPDIRS= mp4client 
APPDIRS+=mp42ts

ifeq ($(DISABLE_ISOFF), no)
APPDIRS += mp4box
endif

V4STUDIODIR=
INSTDIRS=mp4client
ifeq ($(CONFIG_XUL),no)
else
#INSTDIRS+=osmozilla
#APPDIRS+=osmozilla
endif

#disable due to version incompatibilities
ifeq ($(USE_WXWIDGETS), yes)
#APPDIRS+=osmo4_wx
#V4STUDIODIR=V4Studio
#INSTDIRS+=osmo4_wx
endif

ALLDIRS=$(APPDIRS)

all: apps


apps: 
	set -e; for i in $(APPDIRS) ; do $(MAKE) -C $$i all; done 

sggen:
	$(MAKE) -C generators all

V4Studio:
	set -e; for i in $(V4STUDIODIR) ; do $(MAKE) -C $$i dep; done 

dep:
	set -e; for i in $(ALLDIRS) ; do $(MAKE) -C $$i dep; done 

clean: 
	set -e; for i in $(ALLDIRS) ; do $(MAKE) -C $$i clean; done 

distclean: 
	set -e; for i in $(ALLDIRS) ; do $(MAKE) -C $$i distclean; done 

install:
	set -e; for i in $(INSTDIRS) ; do $(MAKE) -C $$i install; done

uninstall:
	set -e; for i in $(INSTDIRS) ; do $(MAKE) -C $$i uninstall; done

=== modules/Makefile ===
include ../config.mak

#all OS and lib independent
#PLUGDIRS=aac_in ac3_in audio_filter bifs_dec ctx_load dummy_in soft_raster mp3_in isom_in odf_dec rtp_in timedtext img_in svg_in saf_in mpegts_in ismacryp widgetman redirect_av mpd_in
PLUGDIRS=aac_in ac3_in audio_filter bifs_dec ctx_load dummy_in soft_raster mp3_in isom_in odf_dec rtp_in timedtext img_in svg_in saf_in mpegts_in ismacryp widgetman mpd_in osd

ifeq ($(DISABLE_SVG), no)
PLUGDIRS+=laser_dec svg_in
endif

ifeq ($(CONFIG_FT), no)
else
PLUGDIRS+=ft_font
endif

ifeq ($(CONFIG_FFMPEG), no)
else
PLUGDIRS+=ffmpeg_in
endif

ifeq ($(CONFIG_XVID), no)
else
PLUGDIRS+=xvid_dec
endif

ifeq ($(CONFIG_OGG), no)
else
PLUGDIRS+=ogg
endif

ifeq ($(CONFIG_AMR_NB), yes)
PLUGDIRS+=amr_dec
endif

ifeq ($(CONFIG_AMR_NB_FT), yes)
PLUGDIRS+=amr_float_dec
else
ifeq ($(CONFIG_AMR_WB_FT), yes)
PLUGDIRS+=amr_float_dec
endif
endif

ifeq ($(CONFIG_OSS_AUDIO), no)
else
PLUGDIRS+=oss_audio
endif

ifeq ($(CONFIG_ALSA), yes)
PLUGDIRS+=alsa
endif

ifeq ($(CONFIG_JACK), yes)
PLUGDIRS+=jack
endif

ifeq ($(CONFIG_SDL), yes)
PLUGDIRS+=sdl_out
endif
ifeq ($(CONFIG_PULSEAUDIO), yes)
PLUGDIRS+=pulseaudio
endif

ifeq ($(CONFIG_X11),yes)
PLUGDIRS+=x11_out
endif

ifeq ($(CONFIG_DIRECTFB),yes)
PLUGDIRS+=directfb_out
endif

ifeq ($(CONFIG_JS),no)
else
PLUGDIRS+=gpac_js
endif


ifeq ($(RENOIR_ENABLE),yes)
PLUGDIRS+=viren_out
endif

#w32 plugins
ifeq ($(CONFIG_WIN32),yes)
PLUGDIRS+=wav_out
ifeq ($(CONFIG_DIRECTX),yes)
PLUGDIRS+=dx_hw
endif

endif


all: plugs

plugs:	
	set -e; for i in $(PLUGDIRS) ; do $(MAKE) -C $$i all; done 

dep:
	set -e; for i in $(PLUGDIRS) ; do $(MAKE) -C $$i dep; done 

clean:
	set -e; for i in $(PLUGDIRS) ; do $(MAKE) -C $$i clean; done 

distclean:	
	set -e; for i in $(PLUGDIRS) ; do $(MAKE) -C $$i distclean; done

=== src/Makefile ===
include ../config.mak

vpath %.c $(SRC_PATH)/src

CFLAGS= $(OPTFLAGS) -I"$(SRC_PATH)/include"

ifeq ($(DEBUGBUILD), yes)
CFLAGS+=-g
LDFLAGS+=-g
endif

ifeq ($(GPROFBUILD), yes)
CFLAGS+=-pg
LDFLAGS+=-pg
endif

## libgpac objects gathering: src/utils
LIBGPAC_UTILS=utils/os_divers.o utils/os_net.o utils/os_module.o utils/os_thread.o utils/os_config_init.o utils/list.o utils/base_encoding.o utils/bitstream.o utils/color.o utils/configfile.o utils/cache.o utils/downloader.o utils/error.o utils/math.o utils/path2d.o utils/path2d_stroker.o utils/module.o utils/token.o utils/uni_bidi.o utils/url.o utils/utf.o utils/xml_parser.o utils/alloc.o utils/ringbuffer.o utils/unicode.o

## libgpac objects gathering: src/ietf
LIBGPAC_IETF=ietf/rtcp.o ietf/rtp.o ietf/rtp_packetizer.o ietf/rtp_pck_3gpp.o ietf/rtp_pck_mpeg12.o ietf/rtp_pck_mpeg4.o ietf/rtsp_command.o ietf/rtsp_common.o ietf/rtsp_response.o ietf/rtsp_session.o ietf/sdp.o ietf/rtp_depacketizer.o ietf/rtp_streamer.o

## libgpac objects gathering: src/bifs
LIBGPAC_BIFS=bifs/arith_decoder.o bifs/bifs_codec.o bifs/bifs_node_tables.o bifs/com_dec.o bifs/com_enc.o bifs/conditional.o bifs/field_decode.o bifs/field_encode.o bifs/memory_decoder.o bifs/predictive_mffield.o bifs/quantize.o bifs/script_dec.o bifs/script_enc.o bifs/unquantize.o

## libgpac objects gathering: src/isomedia
LIBGPAC_ISOM=isomedia/avc_ext.o isomedia/box_code_3gpp.o isomedia/box_code_apple.o isomedia/box_code_base.o isomedia/box_code_isma.o isomedia/box_code_meta.o isomedia/box_dump.o isomedia/box_funcs.o isomedia/data_map.o isomedia/hint_track.o isomedia/hinting.o isomedia/isma_sample.o isomedia/isom_intern.o isomedia/isom_read.o isomedia/isom_store.o isomedia/isom_write.o isomedia/media.o isomedia/media_odf.o isomedia/meta.o isomedia/movie_fragments.o isomedia/sample_descs.o isomedia/stbl_read.o isomedia/stbl_write.o isomedia/track.o isomedia/tx3g.o 

## libgpac objects gathering: src/odf
LIBGPAC_ODF=odf/desc_private.o odf/descriptors.o odf/ipmpx_code.o odf/ipmpx_dump.o odf/ipmpx_parse.o odf/oci_codec.o odf/odf_code.o odf/odf_codec.o odf/odf_command.o odf/odf_dump.o odf/odf_parse.o odf/qos.o odf/slc.o 

## libgpac objects gathering: src/scenegraph
LIBGPAC_SCENE=scenegraph/base_scenegraph.o scenegraph/mpeg4_animators.o scenegraph/commands.o scenegraph/mpeg4_nodes.o scenegraph/mpeg4_valuator.o scenegraph/vrml_interpolators.o scenegraph/vrml_proto.o scenegraph/vrml_route.o scenegraph/vrml_script.o scenegraph/vrml_smjs.o scenegraph/vrml_tools.o scenegraph/x3d_nodes.o scenegraph/svg_attributes.o scenegraph/svg_types.o scenegraph/svg_smjs.o scenegraph/smil_anim.o scenegraph/smil_timing.o scenegraph/svg_properties.o scenegraph/dom_events.o  scenegraph/dom_smjs.o scenegraph/xbl_process.o scenegraph/xml_ns.o

## libgpac objects gathering: src/mcrypt
LIBGPAC_MCRYPT=mcrypt/cbc.o mcrypt/cfb.o mcrypt/ctr.o mcrypt/des.o mcrypt/ecb.o mcrypt/g_crypt.o mcrypt/ncfb.o mcrypt/nofb.o mcrypt/ofb.o mcrypt/rijndael-128.o mcrypt/rijndael-192.o mcrypt/rijndael-256.o mcrypt/stream.o mcrypt/tripledes.o mcrypt/sha1.o 

## libgpac objects gathering: src/media tools
LIBGPAC_MEDIATOOLS=media_tools/av_parsers.o media_tools/avilib.o media_tools/dvb.o media_tools/filestreamer.o media_tools/gpac_ogg.o media_tools/img.o media_tools/ismacryp.o media_tools/isom_hinter.o media_tools/isom_tools.o media_tools/media_export.o media_tools/media_import.o media_tools/mpeg2_ps.o media_tools/text_import.o media_tools/saf.o media_tools/mpegts.o media_tools/dvb_mpe.o  media_tools/reedsolomon.o media_tools/vobsub.o media_tools/m2ts_mux.o media_tools/m3u8.o media_tools/mpd.o media_tools/carousel.o  

## libgpac objects gathering: src/scene_manager
LIBGPAC_SCENEMANAGER=scene_manager/loader_bt.o scene_manager/loader_isom.o scene_manager/loader_qt.o scene_manager/loader_xmt.o scene_manager/scene_dump.o scene_manager/scene_manager.o scene_manager/scene_stats.o scene_manager/swf_parse.o scene_manager/swf_bifs.o scene_manager/text_to_bifs.o scene_manager/scene_engine.o scene_manager/encode_isom.o scene_manager/loader_svg.o

## libgpac objects gathering: src/terminal
LIBGPAC_TERMINAL=terminal/channel.o terminal/clock.o terminal/decoder.o terminal/term_node_init.o terminal/input_sensor.o terminal/media_control.o terminal/media_manager.o terminal/media_memory.o terminal/media_object.o terminal/media_sensor.o terminal/mpeg4_inline.o terminal/network_service.o terminal/object_browser.o terminal/object_manager.o terminal/scene.o terminal/terminal.o terminal/svg_external.o

## libgpac objects gathering: src/compositor
LIBGPAC_COMPOSITOR=compositor/audio_input.o compositor/audio_mixer.o compositor/audio_render.o compositor/bindable.o compositor/camera.o compositor/compositor.o compositor/compositor_2d.o compositor/compositor_3d.o compositor/compositor_node_init.o compositor/drawable.o compositor/events.o compositor/font_engine.o compositor/hc_flash_shape.o compositor/hardcoded_protos.o compositor/mesh.o compositor/mesh_collide.o compositor/mesh_tesselate.o compositor/mpeg4_animstream.o compositor/mpeg4_audio.o compositor/mpeg4_background.o compositor/mpeg4_background2d.o compositor/mpeg4_bitmap.o compositor/mpeg4_composite.o compositor/mpeg4_form.o compositor/mpeg4_geometry_2d.o compositor/mpeg4_geometry_3d.o compositor/mpeg4_geometry_ifs2d.o compositor/mpeg4_geometry_ils2d.o compositor/mpeg4_gradients.o compositor/mpeg4_grouping.o compositor/mpeg4_grouping_2d.o compositor/mpeg4_grouping_3d.o compositor/mpeg4_layer_2d.o compositor/mpeg4_layer_3d.o compositor/mpeg4_layout.o compositor/mpeg4_lighting.o compositor/mpeg4_path_layout.o compositor/mpeg4_sensors.o compositor/mpeg4_sound.o compositor/mpeg4_text.o compositor/mpeg4_textures.o compositor/mpeg4_timesensor.o compositor/mpeg4_viewport.o compositor/navigate.o compositor/offscreen_cache.o compositor/svg_base.o compositor/svg_filters.o compositor/svg_font.o compositor/svg_geometry.o compositor/svg_grouping.o compositor/svg_media.o compositor/svg_paint_servers.o compositor/svg_text.o compositor/texturing.o compositor/texturing_gl.o compositor/visual_manager.o compositor/visual_manager_2d.o compositor/visual_manager_2d_draw.o compositor/visual_manager_3d.o compositor/visual_manager_3d_gl.o compositor/x3d_geometry.o

## libgpac objects gathering: src/laser
LIBGPAC_LASER=
ifeq ($(DISABLE_SVG), no)
LIBGPAC_LASER=laser/lsr_enc.o laser/lsr_dec.o laser/lsr_tables.o
endif

## libgpac objects gathering: la totale ...
OBJS=$(LIBGPAC_UTILS) $(LIBGPAC_MCRYPT) $(LIBGPAC_SCENE) $(LIBGPAC_IETF) $(LIBGPAC_BIFS) $(LIBGPAC_ISOM) $(LIBGPAC_ODF) $(LIBGPAC_MEDIATOOLS) $(LIBGPAC_SCENEMANAGER) $(LIBGPAC_TERMINAL) $(LIBGPAC_COMPOSITOR) $(LIBGPAC_LASER)

NEED_LOCAL_LIB="no"
LINKLIBS=
SCENEGRAPH_CFLAGS=
MEDIATOOLS_CFLAGS=

#1 - zlib support
ifeq ($(CONFIG_ZLIB), local)
CFLAGS+= -I"$(LOCAL_INC_PATH)/zlib"
NEED_LOCAL_LIB="yes"
endif
LINKLIBS+=-lz

#2 - ssl support
ifeq ($(HAS_OPENSSL), yes)
LINKLIBS+=$(SSL_LIBS)
endif

#3 - spidermonkey support
ifeq ($(CONFIG_JS),no)
else
SCENEGRAPH_CFLAGS+=$(JS_FLAGS)
ifeq ($(CONFIG_JS),local)
NEED_LOCAL_LIB="yes"
endif
LINKLIBS+=$(JS_LIBS)
endif

#4 - JPEG support
ifeq ($(CONFIG_JPEG), no)
else
LINKLIBS+= -ljpeg
#local lib
ifeq ($(CONFIG_JPEG), local)
NEED_LOCAL_LIB="yes"
MEDIATOOLS_CFLAGS+=-I"$(LOCAL_INC_PATH)/jpeg"
endif
endif


#5 - PNG support
ifeq ($(CONFIG_PNG), no)
else
LINKLIBS+= -lpng
ifeq ($(CONFIG_PNG), local)
NEED_LOCAL_LIB="yes"
MEDIATOOLS_CFLAGS+=-I"$(LOCAL_INC_PATH)/png"
endif
endif


## libgpac compositor compilation options
COMPOSITOR_CFLAGS=
## SVG disabled
ifeq ($(DISABLE_SVG), yes)
COMPOSITOR_CFLAGS+=-DGPAC_DISABLE_SVG
endif

## Add prefix before every lib
ifneq ($(prefix), /usr/local)
EXTRALIBS+=-L$(prefix)/lib
else
ifneq ($(prefix), /usr)
EXTRALIBS+=-L$(prefix)/lib
endif
endif

## OpenGL available
ifeq ($(HAS_OPENGL),yes)
EXTRALIBS+= $(OGL_LIBS)
COMPOSITOR_CFLAGS+=$(OGL_INCLS)
endif

ifeq ($(NEED_LOCAL_LIB), "yes")
EXTRALIBS+=-L../extra_lib/lib/gcc
endif
EXTRALIBS+=$(LINKLIBS)

ifeq ($(GPAC_USE_TINYGL), yes)
COMPOSITOR_CFLAGS+=-I"$(SRC_PATH)/../TinyGL/include"
else
COMPOSITOR_CFLAGS+=-DGPAC_HAS_GLU
endif

ifeq ($(ENABLE_JOYSTICK), yes)
COMPOSITOR_CFLAGS+=-DENABLE_JOYSTICK
endif


## libgpac media tools compilation options
ifeq ($(GPACREADONLY), yes)
MEDIATOOLS_CFLAGS=-DGPAC_READ_ONLY
endif


ifeq ($(GPAC_ENST), yes)
OBJS+=$(LIBGPAC_ENST)
EXTRALIBS+=-liconv
MEDIATOOLS_CFLAGS+=-DGPAC_ENST_PRIVATE
endif


##libgpac library output
LIB=libgpac.$(DYN_LIB_SUFFIX)
ifeq ($(CONFIG_WIN32),yes)
#LDFLAGS+=-export-symbols libgpac.def
else
ifeq ($(CONFIG_DARWIN),yes)
LDFLAGS+=-install_name $(prefix)/lib/$(LIB)
endif
EXTRALIBS+=$(GPAC_SH_FLAGS)
endif

LD_SONAME="-Wl,-soname,$(LIB)"
ifeq ($(CONFIG_DARWIN), yes)
LD_SONAME=
endif

ifeq ($(CONFIG_SUNOS), yes)
LD_SONAME="-Wl,-h,$(LIB)"
endif

SRCS := $(OBJS:.o=.c) 

all: lib

lib: $(LIB)

#there's a bunch of warnings in there, get rid of them
mcrypt: CFLAGS= $(OPTFLAGS) -w -I"$(SRC_PATH)/include"
mcrypt: $(LIBGPAC_MCRYPT)

scenegraph: CFLAGS += $(SCENEGRAPH_CFLAGS)
scenegraph: $(LIBGPAC_SCENE)

mediatools: CFLAGS += $(MEDIATOOLS_CFLAGS)
mediatools: $(LIBGPAC_MEDIATOOLS)

compositor: CFLAGS+=$(COMPOSITOR_CFLAGS)
compositor: $(LIBGPAC_COMPOSITOR)

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $< 


$(LIB): $(LIBGPAC_UTILS) $(LIBGPAC_IETF) $(LIBGPAC_BIFS) $(LIBGPAC_ODF) $(LIBGPAC_LASER) $(LIBGPAC_ISOM) $(LIBGPAC_SCENEMANAGER) $(LIBGPAC_TERMINAL) compositor scenegraph mediatools mcrypt $(OBJS)
ifeq ($(CONFIG_DARWIN),yes)
	libtool -s -o ../bin/gcc/libgpac_static.a $(OBJS)
	ranlib ../bin/gcc/libgpac_static.a
	$(CC) $(SHFLAGS) $(LD_SONAME) $(LDFLAGS) -o ../bin/gcc/$@ $(OBJS) $(EXTRALIBS) 
else
	ar cr ../bin/gcc/libgpac_static.a $(OBJS)
	ranlib ../bin/gcc/libgpac_static.a
	$(CC) $(SHFLAGS) $(LD_SONAME) $(LDFLAGS) -o ../bin/gcc/$@ $(OBJS) $(EXTRALIBS)
endif

dep: depend

depend:
	rm -f .depend
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

clean: 
	rm -f $(OBJS) ../bin/gcc/$(LIB)
	rm -rf ../bin/gcc/libgpac_static.a

distclean: clean
	rm -f Makefile.bak .depend


# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== modules/directfb_out/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/modules/directfb_out

CFLAGS= $(OPTFLAGS)
CFLAGS+=-I"$(SRC_PATH)/include" -I$(DIRECTFB_INC_PATH)
LDFLAGS+=$(DIRECTFB_LIB)

ifeq ($(DEBUGBUILD), yes)
CFLAGS+=-g
LDFLAGS+=-g
endif

ifeq ($(GPROFBUILD), yes)
CFLAGS+=-pg
LDFLAGS+=-pg
endif




#common obj
OBJS=directfb_out.o

SRCS := $(OBJS:.o=.c) 

LIB=gm_directfb_out.$(DYN_LIB_SUFFIX)


all: $(LIB)


$(LIB): $(OBJS)
	$(CC) $(SHFLAGS) $(LDFLAGS) -L../../bin/gcc -lgpac -o ../../bin/gcc/$@ $(OBJS)
                                                                                               
%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $< 


clean: 
	rm -f $(OBJS) ../../bin/gcc/$(LIB)

dep: depend

depend:
	rm -f .depend	
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend



# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== modules/opencv_is/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/modules/opencv_is

CFLAGS= $(OPTFLAGS) -I"$(SRC_PATH)/include"

ifeq ($(DEBUGBUILD), yes)
CFLAGS+=-g
LDFLAGS+=-g
endif

ifeq ($(GPROFBUILD), yes)
CFLAGS+=-pg
LDFLAGS+=-pg
endif

#common obj
OBJS= opencv.o

SRCS := $(OBJS:.o=.c) 

LDFLAGS+=-lcv -lcvaux -lhighgui -lcxcore

LIB=gm_opencv.$(DYN_LIB_SUFFIX)
ifeq ($(CONFIG_WIN32),yes)
#LDFLAGS+=-export-symbols opencv.def 
endif


all: $(LIB)


$(LIB): $(OBJS)
	$(CC) $(SHFLAGS) $(LDFLAGS) -o ../../bin/gcc/$@ $(OBJS) $(EXTRALIBS) -L../../bin/gcc -lgpac


%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $< 


clean: 
	rm -f $(OBJS) ../../bin/gcc/$(LIB)

dep: depend

depend:
	rm -f .depend	
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend



# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== modules/opensvc_dec/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/modules/opensvc_dec

CFLAGS= $(OPTFLAGS) -I"$(SRC_PATH)/include"

ifeq ($(DEBUGBUILD), yes)
CFLAGS+=-g
LDFLAGS+=-g
endif

ifeq ($(GPROFBUILD), yes)
CFLAGS+=-pg
LDFLAGS+=-pg
endif

LDFLAGS+=-lOpenSVCDec

#common obj
OBJS= opensvc_dec.o

SRCS := $(OBJS:.o=.c) 

LIB=gm_opensvc_dec.$(DYN_LIB_SUFFIX)


all: $(LIB)


$(LIB): $(OBJS)
	$(CC) $(SHFLAGS) $(LDFLAGS) -o ../../bin/gcc/$@ $(OBJS) $(EXTRALIBS) -L../../bin/gcc -lgpac
ifeq ($(STATICBUILD),yes)
	$(CC) $(SHFLAGS) $(LDFLAGS) -o ../../bin/gcc/gm_opensvc_dec-static.$(DYN_LIB_SUFFIX) $(OBJS) $(EXTRALIBS) -L../../bin/gcc -lgpac_static
endif


%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $< 


clean: 
	rm -f $(OBJS) ../../bin/gcc/$(LIB)

dep: depend

depend:
	rm -f .depend	
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend



# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== modules/rvc_dec/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/modules/rvc_dec

CFLAGS= $(OPTFLAGS) -I$(SRC_PATH)/include

ifeq ($(DEBUGBUILD), yes)
CFLAGS+=-g
LDFLAGS+=-g
endif

ifeq ($(GPROFBUILD), yes)
CFLAGS+=-pg
LDFLAGS+=-pg
endif

LDFLAGS+=-lRVCDecoder

#common obj
OBJS= rvc_dec.o

SRCS := $(OBJS:.o=.c) 

LIB=gm_rvc_dec.$(DYN_LIB_SUFFIX)


all: $(LIB)


$(LIB): $(OBJS)
	$(CC) $(SHFLAGS) $(LDFLAGS) -o ../../bin/gcc/$@ $(OBJS) $(EXTRALIBS) -L../../bin/gcc -lgpac


%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $< 


clean: 
	rm -f $(OBJS) ../../bin/gcc/$(LIB)

dep: depend

depend:
	rm -f .depend	
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend



# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== modules/x11_out/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/modules/x11_out

CFLAGS= $(OPTFLAGS)

ifeq ($(DEBUGBUILD), yes)
CFLAGS+=-g
LDFLAGS+=-g
endif

ifeq ($(GPROFBUILD), yes)
CFLAGS+=-pg
LDFLAGS+=-pg
endif

CFLAGS+=-I"$(SRC_PATH)/include"
# -I/usr/local/arm/3.3.2/include


ifeq ($(X11_INC_PATH), )
else
CFLAGS+=-I$(X11_INC_PATH)
endif

ifeq ($(X11_LIB_PATH), )
else
LDFLAGS+=-L$(X11_LIB_PATH)
endif

ifeq ($(USE_X11_XV), yes)
CFLAGS+=-DGPAC_HAS_X11_XV
LDFLAGS+=-lXv
endif

ifeq ($(USE_X11_SHM), yes)
CFLAGS+=-DGPAC_HAS_X11_SHM
LDFLAGS+=-lXext
endif

ifeq ($(HAS_OPENGL), yes)
ifeq ($(GPAC_USE_TINYGL), yes)
else
CFLAGS+=$(OGL_INCLS)
LDFLAGS+=$(OGL_LIBS)
ifeq ($(CONFIG_DARWIN),yes)
LDFLAGS+=-lGL -lGLU
endif
endif
endif

#common obj
OBJS=x11_out.o

SRCS := $(OBJS:.o=.c) 

LIB=gm_x11_out.$(DYN_LIB_SUFFIX)
ifeq ($(CONFIG_WIN32),yes)
#LDFLAGS+=-export-symbols  
endif


all: $(LIB)


$(LIB): $(OBJS)
	$(CC) $(SHFLAGS) $(LDFLAGS) -lX11 -L../../bin/gcc -lgpac -o ../../bin/gcc/$@ $(OBJS)
ifeq ($(STATICBUILD),yes)
	$(CC) $(SHFLAGS) $(LDFLAGS) -o ../../bin/gcc/gm_x11_out-static.$(DYN_LIB_SUFFIX) $(OBJS) -lX11 -L../../bin/gcc -lgpac_static
endif

#static-bin:
#	$(CC) $(SHFLAGS) $(LDFLAGS) -o ../../bin/gcc/gm_x11_out-static.$(DYN_LIB_SUFFIX) $(OBJS) -lX11 -L../../bin/gcc -lgpac_static
                                                                                               
%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $< 


clean: 
	rm -f $(OBJS) ../../bin/gcc/$(LIB)

dep: depend

depend:
	rm -f .depend	
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend



# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== modules/xvid_dec/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/modules/xvid_dec

CFLAGS= $(OPTFLAGS) -I"$(SRC_PATH)/include"

ifeq ($(DEBUGBUILD), yes)
CFLAGS+=-g
LDFLAGS+=-g
endif

ifeq ($(GPROFBUILD), yes)
CFLAGS+=-pg
LDFLAGS+=-pg
endif

#common obj
OBJS=xvid_dec.o

#local xvid lib
ifeq ($(CONFIG_XVID), local)
CFLAGS+= -I"$(LOCAL_INC_PATH)/xvid"
LDFLAGS+= -L../../extra_lib/lib/gcc
endif
EXTRALIBS+= -lxvidcore -lpthread

SRCS := $(OBJS:.o=.c) 

LIB=gm_xvid_dec.$(DYN_LIB_SUFFIX)
ifeq ($(CONFIG_WIN32),yes)
#LDFLAGS+=-export-symbols xvid_dec.def 
endif


ifneq ($(prefix), /usr/local)
EXTRALIBS+=-L$(prefix)/lib
else
ifneq ($(prefix), /usr)
EXTRALIBS+=-L$(prefix)/lib
endif
endif

all: $(LIB)


$(LIB): $(OBJS)
	$(CC) $(SHFLAGS) $(LDFLAGS) -o ../../bin/gcc/$@ $(OBJS) -L../../bin/gcc -lgpac $(EXTRALIBS)


%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $< 


clean: 
	rm -f $(OBJS) ../../bin/gcc/$(LIB)

dep: depend

depend:
	rm -f .depend	
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend



# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== applications/testapps/broadcaster/Makefile ===
include ../../../config.mak

vpath %.c $(SRC_PATH)/applications/testapps/broadcaster

CFLAGS= $(OPTFLAGS) -I"$(SRC_PATH)/include"

SOURCES=
APPNAME=broadcaster


ifeq ($(DEBUGBUILD), yes)
CFLAGS+=-g
LDFLAGS+=-g
endif

ifeq ($(GPROFBUILD), yes)
CFLAGS+=-pg
LDFLAGS+=-pg
endif

#common obj
OBJS=RTP_serv_generator.o RTP_serv_packetizer.o RTP_serv_sender.o broadcaster.o sdp_generator.o debug.o

LDFLAGS += -L../../../bin/gcc
LIBS=-lgpac

all: broadcaster

broadcaster: $(OBJS) *.h
	$(CC) -o $(APPNAME) $(OBJS) $(LIBS) $(LDFLAGS) 

.c.o:
	$(CC) -Wall -g -c $(CFLAGS) $*.c


clean:
	-rm -f $(OBJS) $(APPNAME) *~

=== debian/changelog ===
gpac (0.4.5+svn3462~dfsg0-1) unstable; urgency=low

  * Merge upstream SVN snapshot svn3462:
    - DASH: SPTS don't need '-dash-ts-prog' option (+doc added)
    - support in the player for BaseURL as source as specified in
      latest draft and generated by MP4Box
    - Fixed bug in edit list rewrite when concatenating
    - Added simple osd module for perf monitoring (cpu/mem/fps)
    - Fixed some crashes when destroying objects/services before their
      creation is completed (stress mode)
    - Fixed event firing for secondary scenes and
      exported createVRMLfromString
    - Only notify fractionChanged when it actually changes
    - Commented full AAC file scan for duration
    - Made DX module store its YUV config (speeds up startup)
    - Added option to avoid unloading modules
    - use gf_esd_get_textual_description() instead of (incomplete) switches
    - Fixed UPnP detection and removed extension loading
  * Drop xulrunner-dev, gpac doesn't build against it.
  * Revise repackaging and debian/rules' get-orig-source target.
  * Refresh patches.
  * Configure with --enable-debug.
  * Add -O2 to CFLAGS, use -O0 when optimizations are disabled.
  * Implement DEB_BUILD_OPTIONS' noopt flag.
  * Install modules in multiarch path.
  * Split gpac and install modules into new gpac-modules-base package.
  * Add -DBG packages.

 -- Alessio Treglia <alessio@debian.org>  Sat, 11 Feb 2012 17:35:15 +0100

gpac (0.4.5+svn3450~dfsg3-1) unstable; urgency=low

  * Initial release. (Closes: #636350)

 -- Andres Mejia <amejia@debian.org>  Sat, 04 Feb 2012 00:12:54 +0100

=== debian/control ===
Source: gpac
Section: graphics
Priority: optional
Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Andres Mejia <amejia@debian.org>,
 Alessio Treglia <alessio@debian.org>
Homepage: http://gpac.sourceforge.net
Vcs-Git: git://git.debian.org/git/pkg-multimedia/gpac.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/gpac.git
Standards-Version: 3.9.2
Build-Depends:
 debhelper (>= 8.1.3~),
 freeglut3-dev,
 liba52-0.7.4-dev,
 libasound2-dev,
 libavcodec-dev,
 libavformat-dev,
 libfaad-dev,
 libfreetype6-dev,
 libjack-dev,
 libjpeg-dev,
 libmad0-dev,
 libogg-dev,
 libopenjpeg-dev,
 libpng-dev,
 libpulse-dev,
 libsdl1.2-dev,
 libswscale-dev,
 libtheora-dev,
 libvorbis-dev,
 libwxgtk2.8-dev,
 libxml2-dev,
 libxmlrpc-c3-dev,
 libxv-dev,
 libxvidcore-dev

Package: gpac
Architecture: any
Depends:
 gpac-modules-base (= ${binary:Version}),
 libgpac1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: GPAC Project on Advanced Content - utilities
 GPAC stands for GPAC Project on Advanced Content (a recursive acronym). It is
 an Open Source multimedia framework for research and academic purposes. The
 project covers different aspects of multimedia, with a focus on presentation
 technologies (graphics, animation and interactivity).
 .
 This package contains the following utilities:
   - MP4Client (content packaging)
   - MP4Box

Package: gpac-dbg
Priority: extra
Section: debug
Architecture: any
Depends:
 gpac (= ${binary:Version}),
 gpac-modules-base (= ${binary:Version}),
 libgpac-dbg (= ${binary:Version}),
 ${misc:Depends}
Description: GPAC Project on Advanced Content - debugging symbols
 GPAC stands for GPAC Project on Advanced Content (a recursive acronym). It is
 an Open Source multimedia framework for research and academic purposes. The
 project covers different aspects of multimedia, with a focus on presentation
 technologies (graphics, animation and interactivity).
 .
 This package provides the debugging symbols for GPAC applications.

Package: gpac-modules-base
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Breaks: gpac (<= 0.4.5+svn3462~dfsg0-1~)
Replaces: gpac (<= 0.4.5+svn3462~dfsg0-1~)
Depends:
 libgpac1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: GPAC Project on Advanced Content - modules
 GPAC stands for GPAC Project on Advanced Content (a recursive acronym). It is
 an Open Source multimedia framework for research and academic purposes. The
 project covers different aspects of multimedia, with a focus on presentation
 technologies (graphics, animation and interactivity).
 .
 This package contains the GPAC modules.

Package: libgpac1
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: GPAC Project on Advanced Content - shared libraries
 GPAC stands for GPAC Project on Advanced Content (a recursive acronym). It is
 an Open Source multimedia framework for research and academic purposes. The
 project covers different aspects of multimedia, with a focus on presentation
 technologies (graphics, animation and interactivity).
 .
 This package contains the shared libraries used at runtime in depending
 packages.

Package: libgpac-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends:
 libgpac1 (= ${binary:Version}),
 ${misc:Depends}
Description: GPAC Project on Advanced Content - debugging symbols for libgpac1
 GPAC stands for GPAC Project on Advanced Content (a recursive acronym). It is
 an Open Source multimedia framework for research and academic purposes. The
 project covers different aspects of multimedia, with a focus on presentation
 technologies (graphics, animation and interactivity).
 .
 This package provides the debugging symbols for libgpac1.

Package: libgpac-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libgpac1 (= ${binary:Version}),
 ${misc:Depends}
Replaces:
 gpac (<= 0.4.2~rc2-0ubuntu1)
Description: GPAC Project on Advanced Content - development files
 GPAC stands for GPAC Project on Advanced Content (a recursive acronym). It is
 an Open Source multimedia framework for research and academic purposes. The
 project covers different aspects of multimedia, with a focus on presentation
 technologies (graphics, animation and interactivity).
 .
 This package contains files that are used for application development.

=== debian/rules ===
#!/usr/bin/make -f

export REPACK_SH=$(CURDIR)/debian/repack.sh

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export GPAC_SVN_REVISION ?= $(shell dpkg-parsechangelog | grep Version | sed 's/Version:.*+svn\([0-9]\+\).*/\1/')

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
DEB_CONFIGURE_EXTRA_FLAGS = --disable-opt
endif

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    --prefix=/usr \
	    --mandir=\$${prefix}/share/man \
	    --libdir=lib/$(DEB_HOST_MULTIARCH) \
	    --extra-cflags="-Wall -fPIC -DPIC -I/usr/include/mozjs -DXP_UNIX" \
	    --enable-joystick \
	    --enable-debug \
	    --disable-ssl \
	    $(DEB_EXTRA_CONFIGURE_FLAGS)
	echo "#define GPAC_SVN_REVISION	\"\"" >include/gpac/version.h

override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr \
		moddir=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gpac
	$(MAKE) install-lib prefix=$(CURDIR)/debian/tmp/usr
	cd debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gpac && \
	 for i in `ls`; do\
	   oldmodfname=$$i;\
	   newmodfname="`echo $$i | sed 's/\.so[.0-9]*//'`".so ;\
	   echo "Renaming $$oldmodfname to $$newmodfname ..." && \
	   mv $$oldmodfname $$newmodfname ;\
        done
	mv debian/tmp/usr/share/man/man1/mp4box.1 \
		debian/tmp/usr/share/man/man1/MP4Box.1
	mv debian/tmp/usr/share/man/man1/mp4client.1 \
		debian/tmp/usr/share/man/man1/MP4Client.1

override_dh_clean:
	dh_clean config.h bin/gcc/libgpac* include/gpac/version.h
	find $(CURDIR) -name *.opic -delete

override_dh_strip:
	dh_strip -pgpac --dbg-package=gpac-dbg
	dh_strip -pgpac-modules-base --dbg-package=gpac-dbg
	dh_strip -plibgpac1 --dbg-package=libgpac-dbg
	dh_strip --remaining-packages

get-orig-source:
# Use external script
	sh debian/repack.stub `$(dir $_)gpac-$@`

## gpac 0.4.5+svn3912~dfsg1

=== Makefile ===
--- 
+++ 
@@ -64,7 +64,7 @@
 	rm -f $(DESTDIR)$(moddir)/nposmozilla.$(DYN_LIB_SUFFIX)
 	$(MAKE) installdylib
 	$(INSTALL) -d "$(DESTDIR)$(mandir)"
-	$(INSTALL) -d "$(DESTDIR)$(mandir)/man1"
+	$(INSTALL) -d "$(DESTDIR)$(mandir)/man1";
 	if [ -d  doc ] ; then \
 	$(INSTALL) $(INSTFLAGS) -m 644 doc/man/mp4box.1 $(DESTDIR)$(mandir)/man1/ ; \
 	$(INSTALL) $(INSTFLAGS) -m 644 doc/man/mp4client.1 $(DESTDIR)$(mandir)/man1/ ; \
@@ -94,6 +94,7 @@
 	rm -rf $(DESTDIR)$(mandir)/man1/mp4client.1
 	rm -rf $(DESTDIR)$(mandir)/man1/gpac.1
 	rm -rf $(DESTDIR)$(prefix)/share/gpac
+	rm -rf $(DESTDIR)$(prefix)/include/gpac
 
 installdylib:
 ifeq ($(CONFIG_WIN32),yes)

=== applications/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 include ../config.mak
 
-APPDIRS= mp4client 
-APPDIRS+=mp42ts
+APPDIRS=mp4client 
 
 ifeq ($(DISABLE_ISOFF), no)
-APPDIRS += mp4box
+APPDIRS+=mp4box
+APPDIRS+=mp42ts
 endif
 
 V4STUDIODIR=

=== modules/Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 include ../config.mak
 
 #all OS and lib independent
-#PLUGDIRS=aac_in ac3_in audio_filter bifs_dec ctx_load dummy_in soft_raster mp3_in isom_in odf_dec rtp_in timedtext img_in svg_in saf_in mpegts_in ismacryp widgetman redirect_av mpd_in
 PLUGDIRS=aac_in ac3_in audio_filter bifs_dec ctx_load dummy_in soft_raster mp3_in isom_in odf_dec rtp_in timedtext img_in svg_in saf_in mpegts_in ismacryp widgetman mpd_in osd
 
 ifeq ($(DISABLE_SVG), no)
@@ -26,6 +25,11 @@
 ifeq ($(CONFIG_OGG), no)
 else
 PLUGDIRS+=ogg
+endif
+
+ifeq ($(CONFIG_FREENECT), no)
+else
+PLUGDIRS+=freenect
 endif
 
 ifeq ($(CONFIG_AMR_NB), yes)
@@ -73,6 +77,17 @@
 PLUGDIRS+=gpac_js
 endif
 
+ifeq ($(CONFIG_PLATINUM),yes)
+PLUGDIRS+=platinum
+endif
+
+ifeq ($(CONFIG_AVCAP),yes)
+PLUGDIRS+=avcap
+endif
+
+ifeq ($(CONFIG_OPENSVC),yes)
+PLUGDIRS+=opensvc_dec
+endif
 
 ifeq ($(RENOIR_ENABLE),yes)
 PLUGDIRS+=viren_out

=== src/Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 LIBGPAC_MCRYPT=mcrypt/cbc.o mcrypt/cfb.o mcrypt/ctr.o mcrypt/des.o mcrypt/ecb.o mcrypt/g_crypt.o mcrypt/ncfb.o mcrypt/nofb.o mcrypt/ofb.o mcrypt/rijndael-128.o mcrypt/rijndael-192.o mcrypt/rijndael-256.o mcrypt/stream.o mcrypt/tripledes.o mcrypt/sha1.o 
 
 ## libgpac objects gathering: src/media tools
-LIBGPAC_MEDIATOOLS=media_tools/av_parsers.o media_tools/avilib.o media_tools/dvb.o media_tools/filestreamer.o media_tools/gpac_ogg.o media_tools/img.o media_tools/ismacryp.o media_tools/isom_hinter.o media_tools/isom_tools.o media_tools/media_export.o media_tools/media_import.o media_tools/mpeg2_ps.o media_tools/text_import.o media_tools/saf.o media_tools/mpegts.o media_tools/dvb_mpe.o  media_tools/reedsolomon.o media_tools/vobsub.o media_tools/m2ts_mux.o media_tools/m3u8.o media_tools/mpd.o media_tools/carousel.o  
+LIBGPAC_MEDIATOOLS=media_tools/ait.o media_tools/av_parsers.o media_tools/avilib.o media_tools/dsmcc.o media_tools/dvb.o media_tools/filestreamer.o media_tools/gpac_ogg.o media_tools/img.o media_tools/ismacryp.o media_tools/isom_hinter.o media_tools/isom_tools.o media_tools/media_export.o media_tools/media_import.o media_tools/mpeg2_ps.o media_tools/text_import.o media_tools/saf.o media_tools/mpegts.o media_tools/dvb_mpe.o  media_tools/reedsolomon.o media_tools/vobsub.o media_tools/m2ts_mux.o media_tools/m3u8.o media_tools/mpd.o
 
 ## libgpac objects gathering: src/scene_manager
 LIBGPAC_SCENEMANAGER=scene_manager/loader_bt.o scene_manager/loader_isom.o scene_manager/loader_qt.o scene_manager/loader_xmt.o scene_manager/scene_dump.o scene_manager/scene_manager.o scene_manager/scene_stats.o scene_manager/swf_parse.o scene_manager/swf_bifs.o scene_manager/text_to_bifs.o scene_manager/scene_engine.o scene_manager/encode_isom.o scene_manager/loader_svg.o
@@ -175,6 +175,7 @@
 
 ifeq ($(CONFIG_SUNOS), yes)
 LD_SONAME="-Wl,-h,$(LIB)"
+LINKLIBS+= -lrt
 endif
 
 SRCS := $(OBJS:.o=.c)

=== modules/ffmpeg_in/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/modules/ffmpeg_in

CFLAGS=$(OPTFLAGS) -I"$(SRC_PATH)/include" $(ffmpeg_cflags)

ifeq ($(DEBUGBUILD), yes)
CFLAGS+=-g
LDFLAGS+=-g
endif

ifeq ($(GPROFBUILD), yes)
CFLAGS+=-pg
LDFLAGS+=-pg
endif

LOCAL_LIB=
LINKLIBS=-lgpac -lz $(ffmpeg_lflags)

#darwin needs bz2
ifeq ($(CONFIG_DARWIN),yes)
LINKLIBS+=-lbz2
endif

#old ffmpeg lib
ifeq ($(CONFIG_FFMPEG_OLD), yes)
CFLAGS+=-DFFMPEG_OLD_HEADERS -I/usr/include
else
LINKLIBS+=-lswscale
endif

#common obj
OBJS=ffmpeg_decode.o ffmpeg_demux.o ffmpeg_load.o

#local ffmpeg lib
ifeq ($(CONFIG_FFMPEG), local)
LOCAL_LIB=-L../../extra_lib/lib/gcc
CFLAGS+= -I"$(LOCAL_INC_PATH)"
endif

ifeq ($(CONFIG_ZLIB), local)
LOCAL_LIB=-L../../extra_lib/lib/gcc
endif


SRCS := $(OBJS:.o=.c) 

LIB=gm_ffmpeg_in.$(DYN_LIB_SUFFIX)
ifeq ($(CONFIG_WIN32),yes)
#LDFLAGS+=-export-symbols ffmpeg_in.def 
endif

#need to add cross-libraries if not local
ifeq ($(CROSS_COMPILING),yes)
EXTRALIBS+=-L$(prefix)/lib
endif


all: $(LIB)


$(LIB): $(OBJS)
	$(CC) $(SHFLAGS) $(LDFLAGS) -o ../../bin/gcc/$@ $(OBJS) -L../../bin/gcc $(LOCAL_LIB) $(LINKLIBS) $(EXTRALIBS)


%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $< 


clean: 
	rm -f $(OBJS) ../../bin/gcc/$(LIB)

dep: depend

depend:
	rm -f .depend	
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend



# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== modules/jack/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/modules/jack

CFLAGS= $(OPTFLAGS) -I"$(SRC_PATH)/include" $(OSS_CFLAGS)

ifeq ($(DEBUGBUILD), yes)
CFLAGS+=-g
LDFLAGS+=-g
endif

ifeq ($(GPROFBUILD), yes)
CFLAGS+=-pg
LDFLAGS+=-pg
endif

#common obj
OBJS= jack.o

SRCS := $(OBJS:.o=.c) 


LIB=gm_jack.$(DYN_LIB_SUFFIX)

all: $(LIB)

$(LIB): $(OBJS)
	$(CC) $(SHFLAGS) -o ../../bin/gcc/$@ $(OBJS) $(EXTRALIBS) -L../../bin/gcc -lgpac -L/usr/lib  -ljack


%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $< 


clean: 
	rm -f $(OBJS) ../../bin/gcc/$(LIB)

dep: depend

depend:
	rm -f .depend	
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend



# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== modules/oss_audio/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/modules/oss_audio

CFLAGS= $(OPTFLAGS) -I"$(SRC_PATH)/include" $(OSS_CFLAGS)
LDFLAGS+=$(OSS_LDFLAGS)

ifeq ($(DEBUGBUILD), yes)
CFLAGS+=-g
LDFLAGS+=-g
endif

ifeq ($(GPROFBUILD), yes)
CFLAGS+=-pg
LDFLAGS+=-pg
endif

ifeq ($(OSS_INC_TYPE), SYS)
else
CFLAGS+=-DOSS_FIX_INC
endif

ifeq ($(TARGET_ARCH_ARMV4L), yes)
CFLAGS+=-DFORCE_SR_LIMIT
endif

#common obj
OBJS= oss.o

SRCS := $(OBJS:.o=.c) 

LIB=gm_oss_audio.$(DYN_LIB_SUFFIX)


all: $(LIB)

$(LIB): $(OBJS)
	$(CC) $(SHFLAGS) -o ../../bin/gcc/$@ $(OBJS) $(EXTRALIBS) -L../../bin/gcc -lgpac $(OSS_LDFLAGS)
ifeq ($(STATICBUILD),yes)
	$(CC) $(SHFLAGS) $(LDFLAGS) -o ../../bin/gcc/gm_oss_audio-static.$(DYN_LIB_SUFFIX) $(OBJS) $(EXTRALIBS) -L../../bin/gcc -lgpac_static $(OSS_LDFLAGS)
endif


%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $< 


clean: 
	rm -f $(OBJS) ../../bin/gcc/$(LIB)

dep: depend

depend:
	rm -f .depend	
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend



# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== modules/platinum/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/modules/platinum

CFLAGS= $(CPPFLAGS) -I"$(SRC_PATH)/include" -I$(SRC_PATH)/extra_lib/include/platinum/

ifeq ($(DEBUGBUILD), yes)
CFLAGS+=-g
LDFLAGS+=-g
endif

ifeq ($(GPROFBUILD), yes)
CFLAGS+=-pg
LDFLAGS+=-pg
endif

LINKLIBS= -lgpac -lPlatinum -lPltMediaServer -lPltMediaConnect -lPltMediaRenderer -lNeptune -lZlib
LOCAL_LIB=../../bin/gcc -L../../extra_lib/lib/gcc

#common objects
OBJS=GPACFileMediaServer.o GPACMediaController.o GPACMediaRenderer.o GenericDevice.o GPACPlatinum.o

ifeq ($(CONFIG_JS),no)
else
CFLAGS+= $(JS_FLAGS)
ifeq ($(CONFIG_JS),local)
NEED_LOCAL_LIB="yes"
LOCAL_LIB+=-L../../extra_lib/lib/gcc
endif
LINKLIBS+= $(JS_LIBS)
endif

SRCS := $(OBJS:.o=.c) 

LIB=gm_platinum.$(DYN_LIB_SUFFIX)
ifeq ($(CONFIG_WIN32),yes)
#LDFLAGS+=-export-symbols platinum.def 
endif


all: $(LIB)


$(LIB): $(OBJS)
	$(CXX) $(SHFLAGS) $(LDFLAGS) -o ../../bin/gcc/$@ $(OBJS) $(EXTRALIBS) -L$(LOCAL_LIB) $(LINKLIBS)


%.o: %.cpp
	$(CXX) $(CFLAGS) -c -o $@ $< 


clean: 
	rm -f $(OBJS) ../../bin/gcc/$(LIB)

dep: depend

depend:
	rm -f .depend	
	$(CXX) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend



# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== modules/x11_out/Makefile ===
--- 
+++ 
@@ -25,26 +25,26 @@
 
 ifeq ($(X11_LIB_PATH), )
 else
-LDFLAGS+=-L$(X11_LIB_PATH)
+EXTRALIBS+=-L$(X11_LIB_PATH)
 endif
 
 ifeq ($(USE_X11_XV), yes)
 CFLAGS+=-DGPAC_HAS_X11_XV
-LDFLAGS+=-lXv
+EXTRALIBS+=-lXv
 endif
 
 ifeq ($(USE_X11_SHM), yes)
 CFLAGS+=-DGPAC_HAS_X11_SHM
-LDFLAGS+=-lXext
+EXTRALIBS+=-lXext
 endif
 
 ifeq ($(HAS_OPENGL), yes)
 ifeq ($(GPAC_USE_TINYGL), yes)
 else
 CFLAGS+=$(OGL_INCLS)
-LDFLAGS+=$(OGL_LIBS)
+EXTRALIBS+=$(OGL_LIBS)
 ifeq ($(CONFIG_DARWIN),yes)
-LDFLAGS+=-lGL -lGLU
+EXTRALIBS+=-lGL -lGLU
 endif
 endif
 endif
@@ -64,9 +64,9 @@
 
 
 $(LIB): $(OBJS)
-	$(CC) $(SHFLAGS) $(LDFLAGS) -lX11 -L../../bin/gcc -lgpac -o ../../bin/gcc/$@ $(OBJS)
+	$(CC) $(SHFLAGS) $(LDFLAGS) -lX11 -L../../bin/gcc -lgpac -o ../../bin/gcc/$@ $(OBJS) $(EXTRALIBS)
 ifeq ($(STATICBUILD),yes)
-	$(CC) $(SHFLAGS) $(LDFLAGS) -o ../../bin/gcc/gm_x11_out-static.$(DYN_LIB_SUFFIX) $(OBJS) -lX11 -L../../bin/gcc -lgpac_static
+	$(CC) $(SHFLAGS) $(LDFLAGS) -o ../../bin/gcc/gm_x11_out-static.$(DYN_LIB_SUFFIX) $(OBJS) -lX11 -L../../bin/gcc -lgpac_static $(EXTRALIBS)
 endif
 
 #static-bin:

=== debian/changelog ===
gpac (0.4.5+svn3912~dfsg1-1) experimental; urgency=low

  * Merge upstream latest nightly build.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Sat, 11 Feb 2012 18:46:42 +0100

## gpac 0.4.5+svn3950~dfsg0

=== applications/Makefile ===
--- 
+++ 
@@ -4,7 +4,9 @@
 
 ifeq ($(DISABLE_ISOFF), no)
 APPDIRS+=mp4box
+ifeq ($(DISABLE_M2TS), no)
 APPDIRS+=mp42ts
+endif
 endif
 
 V4STUDIODIR=

=== modules/platinum/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 LDFLAGS+=-pg
 endif
 
-LINKLIBS= -lgpac -lPlatinum -lPltMediaServer -lPltMediaConnect -lPltMediaRenderer -lNeptune -lZlib
+LINKLIBS= -lgpac -lPlatinum -lPltMediaServer -lPltMediaConnect -lPltMediaRenderer -lNeptune -lZlib -lpthread
 LOCAL_LIB=../../bin/gcc -L../../extra_lib/lib/gcc
 
 #common objects

=== modules/x11_out/Makefile ===
--- 
+++ 
@@ -15,7 +15,6 @@
 endif
 
 CFLAGS+=-I"$(SRC_PATH)/include"
-# -I/usr/local/arm/3.3.2/include
 
 
 ifeq ($(X11_INC_PATH), )
@@ -64,7 +63,7 @@
 
 
 $(LIB): $(OBJS)
-	$(CC) $(SHFLAGS) $(LDFLAGS) -lX11 -L../../bin/gcc -lgpac -o ../../bin/gcc/$@ $(OBJS) $(EXTRALIBS)
+	$(CC) $(SHFLAGS) $(LDFLAGS) -o ../../bin/gcc/$@ $(OBJS) -lX11 -L../../bin/gcc -lgpac $(EXTRALIBS)
 ifeq ($(STATICBUILD),yes)
 	$(CC) $(SHFLAGS) $(LDFLAGS) -o ../../bin/gcc/gm_x11_out-static.$(DYN_LIB_SUFFIX) $(OBJS) -lX11 -L../../bin/gcc -lgpac_static $(EXTRALIBS)
 endif

=== debian/changelog ===
gpac (0.4.5+svn3950~dfsg0-1) experimental; urgency=low

  * Merge new upstream snapshot.
  * Update repackaging:
    - Include modules/widgetman/*, which are now dual-licensed.
    - Strip more unneeded code.
  * Drop {dfsg,soname-fix}.patch patches, not needed anymore.
  * Refresh patches.
  * Correct team's name.
  * Update debian/copyright.
  * Bump debhelper requirement.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 06 Mar 2012 23:52:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gpac
 Section: graphics
 Priority: optional
-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Andres Mejia <amejia@debian.org>,
@@ -9,9 +9,9 @@
 Homepage: http://gpac.sourceforge.net
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/gpac.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/gpac.git
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends:
- debhelper (>= 8.1.3~),
+ debhelper (>= 9),
  freeglut3-dev,
  liba52-0.7.4-dev,
  libasound2-dev,

=== debian/rules ===
--- 
+++ 
@@ -28,13 +28,6 @@
 	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr \
 		moddir=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gpac
 	$(MAKE) install-lib prefix=$(CURDIR)/debian/tmp/usr
-	cd debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gpac && \
-	 for i in `ls`; do\
-	   oldmodfname=$$i;\
-	   newmodfname="`echo $$i | sed 's/\.so[.0-9]*//'`".so ;\
-	   echo "Renaming $$oldmodfname to $$newmodfname ..." && \
-	   mv $$oldmodfname $$newmodfname ;\
-        done
 	mv debian/tmp/usr/share/man/man1/mp4box.1 \
 		debian/tmp/usr/share/man/man1/MP4Box.1
 	mv debian/tmp/usr/share/man/man1/mp4client.1 \

=== debian/watch ===
version=3
opts=dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg|repack)(.*)$//i,pasv \
http://sf.net/gpac/gpac-(.*).tar.gz
